/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.xml;

import javax.xml.transform.Result;
import javax.xml.transform.Source;

/**
 * XML 変換のコンテキストです。
 * <br/>適用しているデザインパターン：Interpreter(Context役)。
 * @author nakamura
 *
 */
public class XmlTransformerContext {
	private Source source;
	private Result result;
	public Result getResult() {
		return result;
	}
	public void setResult(final Result result) {
		this.result = result;
	}
	public Source getSource() {
		return source;
	}
	public void setSource(final Source source) {
		this.source = source;
	}
}
